Bug 1300900 - python-psutil is FTBFS on ppc64 and s390x
python-psutil is FTBFS on ppc64 and s390x
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-psutil (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker
  Show dependency treegraph
 
Reported: 2016-01-21 21:46 EST by Peter Robinson
Modified: 2016-03-11 07:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 07:37:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2016-01-21 21:46:59 EST
I suspect it's an endian issues. The older version builds, as does the version is EPEL7. 

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3087670
Comment 1 Dan Horák 2016-01-22 02:21:57 EST
Fails on s390x as well, but s390 (32 bit) succeeds - might be 64-bit big endian compatibility issue - http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2048676
Comment 2 Jan Kurik 2016-02-24 09:19:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Ralph Bean 2016-02-26 14:57:19 EST
If anyone has a suggestion about how to fix this, I'm open to ideas.
Comment 4 Ngo Than 2016-03-11 07:37:29 EST
it's fixed in python-psutil-3.2.1-5.fc24

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3215157

Note You need to log in before you can comment on or make changes to this bug.